import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (c, t, i, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, i) : t, l = c.length - 1, o; l >= 0; l--)
    (o = c[l]) && (e = (r ? o(t, i, e) : o(e)) || e);
  return r && e && u(t, i, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--userFilled", this.class = "c-pieIcon c-pieIcon--userFilled", this.name = "IconUserFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--userFilled"><path d="M13.355 11.78a4.14 4.14 0 0 0-3.938-2.686H6.582a4.14 4.14 0 0 0-3.937 2.686l-.831 2.345h12.372z"></path><path d="M8 8a3.063 3.063 0 1 0 0-6.125A3.063 3.063 0 0 0 8 8"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  f("icon-user-filled")
], s);
export {
  s as IconUserFilled
};
